Create a workload.
Submit a workload with metadata and a Kubernetes manifest.
Authentication
AuthorizationBearer
Bearer authentication
Query parameters
dryRun
True to perform validations only, without side effects.
Request
Workload metadata and manifest
metadata
manifest
The full Kubernetes manifest for the workload in JSON form. Mutually exclusive with manifestEncodedBase64.
manifestBase64Encoded
Kubernetes YAML manifest encoded in base 64. Mutually exclusive with manifest.
Response
Workload creation request accepted.
metadata
desiredPhase
The desired phase of the workload.
Allowed values:
workloadManifest
The full Kubernetes manifest for the workload in JSON form. Mutually exclusive with manifestEncodedBase64.
rawManifest
The full Kubernetes manifest for the workload in JSON form. Mutually exclusive with manifestEncodedBase64.
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
409
Conflict Error
500
Internal Server Error
503
Service Unavailable Error